ApiOzoneSnapshotDetails (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiOzoneSnapshotDetails

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiOzoneSnapshotDetails

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiOzoneSnapshotDetails
      extends Object

  Reference to an Ozone snapshot details. Additional details (compared to ApiOzoneSnapshot of a specific Ozone snapshot.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiOzoneSnapshotDetails()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiOzoneSnapshotDetails` | `creationTime(BigDecimal creationTime)`
    `boolean` | `equals(Object o)`
    `BigDecimal` | `getCreationTime()` Get creationTime
    `ApiOzoneSnapshot` | `getSnapshotRef()` Get snapshotRef
    `int` | `hashCode()`
    `void` | `setCreationTime(BigDecimal creationTime)`
    `void` | `setSnapshotRef(ApiOzoneSnapshot snapshotRef)`
    `ApiOzoneSnapshotDetails` | `snapshotRef(ApiOzoneSnapshot snapshotRef)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiOzoneSnapshotDetails

          public ApiOzoneSnapshotDetails()

  - ### Method Detail

    - #### snapshotRef

          public ApiOzoneSnapshotDetails snapshotRef(ApiOzoneSnapshot snapshotRef)

    - #### getSnapshotRef

          public ApiOzoneSnapshot getSnapshotRef()

      Get snapshotRef
      Returns:
        snapshotRef

    - #### setSnapshotRef

          public void setSnapshotRef(ApiOzoneSnapshot snapshotRef)

    - #### creationTime

          public ApiOzoneSnapshotDetails creationTime(BigDecimal creationTime)

    - #### getCreationTime

          public BigDecimal getCreationTime()

      Get creationTime
      Returns:
        creationTime

    - #### setCreationTime

          public void setCreationTime(BigDecimal creationTime)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.